﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace SilverlightApplication134
{
    public class Person:INotifyPropertyChanged
    {
        string name = string.Empty;

        public string Name
        {
            get { return name; }
            set { name = value;
            NotifyPropertyChanged("Name");
            }
        }

        int status = 0;

        public int Status
        {
            get { return status; }
            set { status = value;
            NotifyPropertyChanged("Status");
            }
        }

        string occupation = string.Empty;
        public string Occupation
        {
            get { return occupation; }
            set { occupation = value; }
        }
        string street = "street";
        public string Street
        {
            get { return street; }
            set { street = value; }
        }
        string city = "city";
        public string City
        {
            get { return city; }
            set { city = value; }
        }

        string zip = "zip";
        public string Zip
        {
            get { return zip; }
            set { zip = value; }
        }

        string zip1 = "zip1";
        public string Zip1
        {
            get { return zip1; }
            set { zip1 = value; }
        }
        string zip2 = "zip2";
        public string Zip2
        {
            get { return zip2; }
            set { zip2 = value; }
        }
        string zip3 = "zip3";
        public string Zip3
        {
            get { return zip3; }
            set { zip3 = value; }
        }
        string zip4 = "zip4";
        public string Zip4
        {
            get { return zip4; }
            set { zip4 = value; }
        }


        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }



        public event PropertyChangedEventHandler PropertyChanged;
    }
}
